<?php

namespace Drupal\civicrm_form_builder_blocks;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Reference;

/**
 * Conditionally load service if layout builder installed.
 */
class CivicrmFormBuilderBlocksServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container) {
    $modules = $container->getParameter('container.modules');
    // Check for installed Layout Builder modules.
    if (isset($modules['layout_builder'])) {
      $container->register('civicrm_form_builder_blocks_layout_builder_event_subscriber', 'Drupal\\civicrm_form_builder_blocks\\EventSubscriber\\LayoutBuilderSubscriber')
        ->addTag('event_subscriber')
        ->addArgument(new Reference('civicrm'));
    }
  }

}
